#
# Conditional build:
%bcond_without	tests	# unit tests
%bcond_without	python2	# Python 2.x module
%bcond_without	python3	# Python 3.x module

%define 	module	ecdsa
Summary:	ECDSA cryptographic signature library
Summary(pl.UTF-8):	Biblioteka podpisów kryptograficznych ECDSA
Name:		python-%{module}
Version:	0.16.1
Release:	2
License:	MIT
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/ecdsa/
Source0:	https://files.pythonhosted.org/packages/source/e/ecdsa/%{module}-%{version}.tar.gz
# Source0-md5:	98c0da4c046286e892fdba727f93edea
URL:		https://pypi.org/project/ecdsa
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	rpm-pythonprov
%if %{with python2}
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	python-modules >= 1:2.6
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-hypothesis
BuildRequires:	python-pytest
BuildRequires:	python-six >= 1.9.0
%endif
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.3
BuildRequires:	python3-modules >= 1:3.3
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-hypothesis
BuildRequires:	python3-pytest
BuildRequires:	python3-six >= 1.9.0
%endif
%endif
Requires:	python-modules >= 1:2.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an easy-to-use implementation of ECDSA cryptography (Elliptic
Curve Digital Signature Algorithm), implemented purely in Python,
released under the MIT license. With this library, you can quickly
create keypairs (signing key and verifying key), sign messages, and
verify the signatures. The keys and signatures are very short, making
them easy to handle and incorporate into other protocols.

%description -l pl.UTF-8
Ten moduł to implementacja kryptografii ECDSA (Elliptic Curve Digital
Signature Algorytm - algorytmu podpisu cyfrowego opartego na krzywych
eliptycznych) w czystym Pythonie, wydana na licencji MIT. Przy użyciu
tej biblioteki można szybko tworzyć pary kluczy (podpisujący i
weryfikujący), podpisywać wiadomości oraz sprawdzać podpisy. Klucze i
podpisy są bardzo krótkie, co czyni je łatwymi do obsłużenia i
włączenia do innych protokołów.

%package -n python3-%{module}
Summary:	ECDSA cryptographic signature library
Summary(pl.UTF-8):	Biblioteka podpisów kryptograficznych ECDSA
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.3

%description -n python3-%{module}
This is an easy-to-use implementation of ECDSA cryptography (Elliptic
Curve Digital Signature Algorithm), implemented purely in Python,
released under the MIT license. With this library, you can quickly
create keypairs (signing key and verifying key), sign messages, and
verify the signatures. The keys and signatures are very short, making
them easy to handle and incorporate into other protocols.

%description -n python3-%{module} -l pl.UTF-8
Ten moduł to implementacja kryptografii ECDSA (Elliptic Curve Digital
Signature Algorytm - algorytmu podpisu cyfrowego opartego na krzywych
eliptycznych) w czystym Pythonie, wydana na licencji MIT. Przy użyciu
tej biblioteki można szybko tworzyć pary kluczy (podpisujący i
weryfikujący), podpisywać wiadomości oraz sprawdzać podpisy. Klucze i
podpisy są bardzo krótkie, co czyni je łatwymi do obsłużenia i
włączenia do innych protokołów.

%prep
%setup -q -n ecdsa-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
%{__python} -m pytest src
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
%{__python3} -m pytest src
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE NEWS README.md
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc LICENSE NEWS README.md
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif
%changelog
* Sat Feb 27 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-ecdsa.git;a=log;h=master

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> bda6867
- release 2 (by relup.sh)

* Wed Jan 20 2021 Jakub Bogusz <qboosh@pld-linux.org> 36c1abd
- updated to 0.16.1
- run tests

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> fc1ec08
- rebuild with python 3.8
- release 2 (by relup.sh)

* Thu Oct 17 2019 Jakub Bogusz <qboosh@pld-linux.org> 680c5a1
- updated to 0.13.3 (fixes CVE-2019-14853)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> ac2d090
- release 4 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 8998ea2
- python 3.7 rebuild
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 568f46d
- python 3.6
- release 2 (by relup.sh)

* Thu Mar 17 2016 Jakub Bogusz <qboosh@pld-linux.org> 9b2a9bd
- updated to 0.13
- pl

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> c5d1466
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 5a70f09
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 0796a7a
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 0ba5df5
- python3.5 rebuild
- release 3 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 022b488
- python 3.5 rebuild
- release 2 (by relup.sh)

* Fri Nov 07 2014 Mateusz Korniak <matkor@pld-linux.org> 85e04b5
- Version 0.11-1.

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 874d8c2
- python 3.4
- release 2 (by relup.sh)

* Sun Feb 02 2014 Elan Ruusamäe <glen@delfi.ee> 5c144cc
- simplify, unify

* Sun Feb 02 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> dbb99fd
- initial

